Bug 173282 - libX11 locale data files should be in ${datadir}/X11/locale
libX11 locale data files should be in ${datadir}/X11/locale
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: xorg-modular
  Show dependency treegraph
 
Reported: 2005-11-15 16:56 EST by Mike A. Harris
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-22 22:07:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2005-11-15 16:56:26 EST
The modular tree puts the libX11 locale data files in /usr/lib/X11/locale,
however these files are architecture independent data files, which should
be installed in /usr/share on FHS compliant systems.

The default location for these files for FHS compliant Linux (or other)
installations should be /usr/share/X11/locale however it probably makes
sense that this should be overrideable via ./configure options as well.

Filed upstream as:

https://bugs.freedesktop.org/show_bug.cgi?id=5064
Comment 1 Mike A. Harris 2005-11-22 22:07:44 EST
Fixed in libX11-0.99.3-4 in rawhide.
Comment 2 Mike A. Harris 2005-11-22 22:14:13 EST
Note:  A much more complete patch supplied by Daniel Stone is in the upstream
bug report linked to above.  Daniel's patch fixes things to also work with
the modular i18n modules, however we are no longer shipping them, as they're
built directly into our X server by default to simplify things.

Note You need to log in before you can comment on or make changes to this bug.